<?php

/**
 * Help & Tutorials.
 *
 * @link    https://aiopodcasting.com
 * @since   1.0.0
 *
 * @package AiO_Podcast_Studio
 */

// Exit if accessed directly
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * AIOPOD_Admin_Help_Tutorials class.
 *
 * @since 1.0.0
 */
class AIOPOD_Admin_Help_Tutorials {	

	/**
	 * Add a "Help & Tutorials" admin menu.
	 *
	 * @since 1.0.0
	 */
	public function admin_menu() {	
		add_submenu_page(
			'aio-podcast-studio',
			__( 'AiO Podcast Studio - Help & Tutorials', 'aio-podcast-studio' ),
			__( 'Help & Tutorials', 'aio-podcast-studio' ),
			'manage_aiopod_options',
			'help-tutorials',
			array( $this, 'display_page_content' )
		);

		add_submenu_page(
			'aio-podcast-studio',
			'',
			'<span class="aiopod-menu-separator"></span>',
			'manage_aiopod_options',
			'aio-podcast-studio-separator-4',
			'__return_null'
		);
	}

	/**
	 * Display page content.
	 *
	 * @since 1.0.0
	 */
	public function display_page_content() {
		require_once AIOPOD_PLUGIN_DIR . 'admin/partials/help-tutorials/help-tutorials.php';	
	}

}
